"""==============================================================
منطق برنامه ای را طراحی کنید که اعداد طبیعی N و M را در ورودی
دریافت کند سپس یک ماتریس N*M بسازد به گونه ای که درایه های سطرهای
با شماره فرد آن شماره سطر و درایه های سطرهای با شماره زوج آن صفر باشد.
=============================================================="""

#       Take N and M
#----------------------------

n = int(input("Please enter N:"))
m = int(input("Please enter M:"))


#          Make matrix
#-------------------------------
print("="*20)
matrix = []
for i in range(n):
    row = []
    for j in range(m):
        if i%2 == 0:
            row.append(0)
            print(0,end="\t")
        else:
            row.append(i)
            print(i,end="\t")
    matrix.append(row)
    print()
